Update a quote

Requires the QUOTE.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
customer_idstringRequired
The ID of the customer.
descriptionstringRequired
The description of the quote.
contact_idstringRequired
The contact details for the quote.
owner_user_idstringRequired

The ID of the user that is owning/ creating the quote.

customerobject or nullOptional
owner_userobject or nullOptional

Response

OK
customer_idstring
The ID of the customer.
descriptionstring
The description of the quote.
contact_idstring
The contact details for the quote.
owner_user_idstring

The ID of the user that is owning/ creating the quote.

object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
updated_atstring or nullRead-only
statusstring or nullRead-only
customerobject or null
owner_userobject or null
quote_version_infoslist of objects or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error